Subject: Re: [bitcoindev] [BIP Proposal] Mempool Validation and Relay Policies via User-Defined Scripts]

From: "'Russell O'Connor' via Bitcoin Development Mailing List" <[email-masked]>
Date: Mon, 29 Sep 2025 09:11:04 -0400

On Sun, Sep 28, 2025 at 8:07 PM Andrew Poelstra <[email-masked]>
wrote:

>
> Mempool policy makes it inconvenient for people to use transactions that
> violate the mempool policy. It may discourage them from building
> protocols that require such transactions. But this discouragement has no
> monetary value, which means that as soon as there is any economic
> interest in producing such transactions, they will be produced and they
> will wind up in blocks. This is what we see -- and it's why we are
> talking about eliminating the data carrier filters and not about
> eliminating, say, the MINIMALIF rule on pre-segwit transactions.

I fully agree that this discouragement has little monetary value.  As we
can see today, folks are bypassing the existing default mempool minfree
rate of 1sat/vbyte and still managing to fill up blocks with these sorts of
sub-1sat/vbyte transactions.  This lets us measure the monetary cost of
bypassing default mempool filters.  The cost is less than the cost savings
that such folks are achieving by their sub-1sat/vbyte transaction.
Eyeballing it, I see that the cost of bypassing default filters is
something less than 0.3sat/vbyte or so.  Probably there was initially some
upfront cost, which is now being amortized.

I'm glad to hear that the default minfree rate is being lowered.  I'd even
support eliminating the minfee entirely and instead relying on the max
mempool size alone.

Also, as Andrew touched on, one valuable role of filters is to try and
filter out third-party malleable transactions to the extent reasonably
possible, or at least filter out their non-canonical / non-min-cost forms.
That is valuable because those sorts of transactions are at great risk of
never appearing in blocks.

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAMZUoKkU%2BYnA_HorhGCwQqmLsnPZ8cqf1MJ_U3CE8j1%2BNgJV4w%40mail.gmail.com.